%define debug_package %{nil}
%define __os_install_post       true

Summary: Recycle Bin for KDE 
Name: recycler 
Version: 1.5
Release: 54%{?dist}
URL: http://www.redflag-linux.com
Group: User Interface/Desktops
License: Red Flag License 
Vendor: Red Flag Software Co., Ltd.
Packager: packager@redflag-linux.com
BuildRoot: /var/tmp/del.root

Source0: recycler-%{version}.tar.gz
Source1: del.desktop
Source2: x-del.desktop
Source3: trash.desktop
Source4: del.mo
Source5: filepreview2 
Source6: trash
Source7: SetTrashPath
Source8: del-ja.mo
Source9: del-zh_TW.mo
Source10: del-ko.mo
Source11: del_full.desktop
Source12:del_empty.desktop


Patch0: recycler-1.5-tips.patch
Patch1: recycler-1.5-multi-drag.patch
Patch2: recycler-1.5-dragAndSameName.patch
Patch3: recycler-1.5-partition.patch
Patch4: recycler-1.5-mycomputer.patch
Patch5: recycler-1.5-longMountPoint.patch
Patch6: recycler-1.5-reiserfs.patch
Patch7: recycler-1.5-fixreiserfs.patch
Patch8: recycler-1.5-fixreiserfs_add.patch
Patch9: recycler-1.5-spacename.patch
Patch10:recycler-1.5-attrbug.patch
Patch11:recycler-1.5-winpart.patch
Patch12:recycler-1.5-restoreAll.patch
Patch13:recycler-1.5-decode.patch
Patch14:recycler-1.5-decodeFix.patch
Patch15:recycler-1.5-clearAll.patch
Patch16:recycler-1.5-TimeFormat.patch
Patch17:recycler-1.5-Clear.patch
Patch18:recycler-1.5-Open2WinErr.patch
Patch19:recycler-1.5-clearNew.patch
Patch20:recycler-1.5-x86_64.patch
Patch21:recycler-1.5-ppc.patch
Patch22:recycler-1.5-removeImportantHint.patch
Patch23:recycler-1.5-desktop.patch

NoSource: 0
NoSource: 1
NoSource: 2
NoSource: 3
NoSource: 4
NoSource: 5
NoSource: 6
NoSource: 7
NoSource: 8
NoSource: 9
NoSource: 10
NoSource: 11
NoSource: 12
NoPatch: 0
NoPatch: 1
NoPatch: 2
NoPatch: 3
NoPatch: 4
NoPatch: 5
NoPatch: 6
NoPatch: 7
NoPatch: 8
NoPatch: 9
NoPatch: 10
NoPatch: 11
NoPatch: 12
NoPatch: 13
NoPatch: 14
NoPatch: 15
NoPatch: 16
NoPatch: 17
NoPatch: 18
NoPatch: 19
NoPatch: 20
NoPatch: 21
NoPatch: 22
NoPatch: 23

%description
This program is a recycler for KDE.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%ifarch ppc ppc64 ppc64pserise ppc64iseries
%patch21 -p1
%endif
%patch22 -p1
%patch23 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

make -f admin/Makefile.common cvs
./configure --prefix=/usr --libdir=%{_libdir}
make  

%install
mkdir -p "$RPM_BUILD_ROOT"/%{_libdir}
mkdir -p "$RPM_BUILD_ROOT"/usr/bin

make prefix="$RPM_BUILD_ROOT"/usr libdir="$RPM_BUILD_ROOT"/%{_libdir} install

mkdir -p "$RPM_BUILD_ROOT"/usr/share/mimelnk/application
cp %{SOURCE2} "$RPM_BUILD_ROOT"/usr/share/mimelnk/application/del.desktop
chmod 644 "$RPM_BUILD_ROOT"/usr/share/mimelnk/application/del.desktop

mkdir -p  $RPM_BUILD_ROOT/usr/share/apps/konqsidebartng/virtual_folders/services/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/apps/konqsidebartng/virtual_folders/services/

mkdir -p "$RPM_BUILD_ROOT"/root/Desktop
mkdir -p "$RPM_BUILD_ROOT"/etc/skel/Desktop
cp %{SOURCE6} "$RPM_BUILD_ROOT"/root/Desktop/
cp %{SOURCE6} "$RPM_BUILD_ROOT"/etc/skel/Desktop/

mkdir -p "$RPM_BUILD_ROOT"/usr/share/locale/zh_CN/LC_MESSAGES/
mkdir -p "$RPM_BUILD_ROOT"/usr/share/locale/zh_TW/LC_MESSAGES/
mkdir -p "$RPM_BUILD_ROOT"/usr/share/locale/ja/LC_MESSAGES/
mkdir -p "$RPM_BUILD_ROOT"/usr/share/locale/ko/LC_MESSAGES/
mkdir -p "$RPM_BUILD_ROOT"/usr/share/apps/konqueror/profiles/
cp -f %{SOURCE4} "$RPM_BUILD_ROOT"/usr/share/locale/zh_CN/LC_MESSAGES/
cp -f %{SOURCE9} "$RPM_BUILD_ROOT"/usr/share/locale/zh_TW/LC_MESSAGES/del.mo
cp -f %{SOURCE8} "$RPM_BUILD_ROOT"/usr/share/locale/ja/LC_MESSAGES/del.mo
cp -f %{SOURCE10} "$RPM_BUILD_ROOT"/usr/share/locale/ko/LC_MESSAGES/del.mo
cp -f %{SOURCE5} "$RPM_BUILD_ROOT"/usr/share/apps/konqueror/profiles/

mkdir -p "$RPM_BUILD_ROOT"/usr/share/apps/recycler/
cp -r %{SOURCE11} $RPM_BUILD_ROOT/usr/share/apps/recycler/
cp -r %{SOURCE12} $RPM_BUILD_ROOT/usr/share/apps/recycler/


mkdir -p "$RPM_BUILD_ROOT"/tmp/
cp -f %{SOURCE7} "$RPM_BUILD_ROOT"/tmp/

touch "$RPM_BUILD_ROOT"/usr/bin/Trash
chmod +x "$RPM_BUILD_ROOT"/usr/bin/Trash
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/
cp -r %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applnk/Applications/
%files
%defattr(-,root,root)
/usr/bin/*
/%{_libdir}/*
/usr/share/applnk/Applications/del.desktop
/usr/share/apps/konqueror/profiles/*
/usr/share/doc/HTML/en/del/*
/usr/share/apps/recycler/*
/usr/share/icons/locolor/*
/usr/share/locale/zh_CN/LC_MESSAGES/*
/usr/share/locale/zh_TW/LC_MESSAGES/*
/usr/share/locale/ja/LC_MESSAGES/*
/usr/share/locale/ko/LC_MESSAGES/*
/usr/share/mimelnk/application/*
/tmp/SetTrashPath

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 29 2009 Hua Jie <jie.hua@asianux.com> 1.5-54%{?dist}
- hide the icon in KDE menu (source1, AXBug #7192)

* Wed Oct 14 2009 Shu Li <shu.li@asianux.com> 1.5-53%{?dist}
- change del.desktop access permissions to 644 (AXBug#7114)

* Fri Jun 10 2005 Yun Liu <yunliu@redflag-linux.com> 1.5-52
- add del_full.desktop and del_empty.desktop file

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 1.5-51
- remove /usr/share/apps/konqsidebartng/virtual_folders/services/trash.desktop
- now we include this file in asianux-artwork
- add some Korean translation 

* Thu Jun  2 2005 Yun Liu <yunliu@redflag-linux.com> 1.5-50
- remove important file hint 
- change cover_char for ppc

* Tue Apr  5 2005 Xu Xiaojing <xjxu@redflag-linux.com> 1.5-49
- add a patch for ppc, provided by Meng Jian
- enable patch 13 and 14
- add "-fPIC" in CFLAGS and CXXFLAGS

* Mon Nov 01 2004 Ni Zhixin <zxni@redflag-linux.com> 1.5-48
- Because the patch 13 and 14 is for kde3.3, and the asianux
- use kde3.1, so I remove it temprately.

* Mon Nov 01 2004 Hua Jie <jiehua@redflag-linux.com> 1.5-47
- add /usr/share/applnk/Applications/del.desktop
- add mo for Japanese

* Thu Oct 28 2004 Hua Jie <jiehua@redflag-linux.com> 1.5-46
- use %{_libdir} as libdir

* Thu Sep 23 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-45
- Fix Clear Method

* Thu Sep 22 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-44
- fix starting 2 trash error

* Tue Sep 14 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-43
- remove dcop change

* Tue Sep 14 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-42
- Fix dcop method
- Fix "Clear All" method

* Tue Sep 14 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-41
- Change Time Format

* Tue Jul 18 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-40
- Change x-del.desktop coding to utf8

* Tue Jul 18 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-39
- Add confirmation when del All files.

* Thu Jul 14 2004 Yun Liu <yunliu@redflag-linux.com> 1.5-38
- Fix decode error about QUrl::encode and KURL::encode_string.

* Wed Jul 7 2004 Jian Meng <jianmeng@redflag-linux.com> 1.5-37
- Fix decode error in kde/qt-3.2

* Thu Mar 25 2004 Yun Liu  <yunliu@redflag-linux.com> 1.5-35
- Fix error when restore all files

* Thu Mar 25 2004 Yun Liu  <yunliu@redflag-linux.com> 1.5-34d
- Change jp name in trash.desktop

* Fri Mar 19 2004 Yun Liu  <yunliu@redflag-linux.com> 1.5-34
- change Trash and Del to RecycleBin in del.desktop and trash.desktop

* Fri Feb 19 2004 Yun Liu  <yunliu@redflag-linux.com> 1.5-33v
- fix bug when deleting files on other windows partitions

* Fri Aug  8 2003 Yun Liu  <yunliu@redflag-linux.com> 1.5-33
- fix bug in recyclerattr.cpp 

* Tue Jul  2 2003 Yun Liu  <yunliu@redflag-linux.com> 1.5-32
- solute mountpoint with space

* Tue Jul  2 2003 Yun Liu  <yunliu@redflag-linux.com> 1.5-31
- change analyse partition method when mountedpoint with " " by mengjian
- correct codes when mountedpoint include " "

* Tue Jul  1 2003 Yun Liu  <yunliu@redflag-linux.com> 1.5-30
- make solution with reiserfs partition,modified dodel.cpp and SetTrashPath

* Mon Jun 30 2003 Yun Liu  <yunliu@redflag-linux.com> 1.5-29
- change /tmp/SetTrashPath

* Sat Jun 28 2003 Xie Jue  <juexie@redflag-linux.com> 1.5-28
- protect mycomputer controlpanel & user home

* Fri Jun 27 2003 Yun Liu <yunliu@redflag-linux.com> 27
- fix for long mounted point

* Wed Jun 25 2003 Yun Liu <yunliu@redflag-linux.com> 26
- change protect.h

* Tue Jun 24 2003 yun liu <yunliu@redflag-linux.com> 25
- fix partitioninfo error when result of df is unregular
- fix /tmp/SetTrashPath for the same reason
- modify tips patch ,set Max deleting file number from 100 to 200

* Fri Jun 20 2003 yun liu <yunliu@redflag-linux.com> 24
- change comment of mimetype/del.desktop with uft8 coding

* Fri Jun 13 2003 yun liu <yunliu@redflag-linux.com> 23
- fix drag file recovery when destination have files with the same name
- together with many modification in kdelibs(r:26)

* Thu Jun 5 2003 yun liu <yunliu@redflag-linux.com> 22
- fix multi-file drag-recovery from recycler

* Mon Jun 4 2003 yun liu <yunliu@redflag-linux.com> 21
- change "/" to "root"
- promote efficiency when clear all
- set max deleting file number to 100
- add source7 to make .recycled directory in booting period
- change method when "clear all"

* Mon Apr 7 2003 Xie Jue <juexie@redflag-linux.com 20
- rpm rebuild in kde31

* Thu Jan 23 2003 MaoMao <yunliu@redflag-linux.com> 19
- Fixed recycler attribute when use usb-storage
- Fixed deleting multi files(more than 400 files)
- Set trash icon correctly
* Wed Jan 22 2003 MaoMao <yunliu@redflag-linux.com> 18
- Fixed usb-storage
* Tue Jan 21 2003 Mao Mao <yunliu@redflag-linux.com> 17
- fixed url coding
- Added refresh function
* Thu Jan 17 2003 Jian Meng <jianmeng@redflag-linux.com> 16 
- fixed semget with 660(-> 0660)
- modify compiling parameter: O0->O2 and remove -g3, more effective
- fasten refreshing file items when move to recycler

* Thu Jan 16 2003 Mao Mao <yunliu@redflag-linux.com>
- Changed del.mo
* Wed Jan 15 2003 Mao Mao <yunliu@redflag-linux.com>
- Change kill to dcop
- Set Releae 14
* Wed Jan 15 2003 Mao Mao <yunliu@redflag-linux.com>
- Changed chmod function in dodel.cpp
- Added codes used by mengjian in dodel.cpp 
- Set Release 13
* Tue Jan 14 2003 Mao Mao <yunliu@redflag-linux.com>
- Changed /tmp/trash attribute to 666
* Mon Jan 13 2003 Mao Mao <yunliu@redflag-linux.com>
- Modified drag-out-recovery
- Added function of completely delete on removeble device
- Fixed about 6 bugs
- Set release 10
* Mon Jan 13 2003 Mao Mao <yunliu@redflag-linux.com>
- add konqsidebar services desktop
- Promoted efficiency
- Fixed about 8 bugs
- Modified del.mo
- Set release 8
* Mon Dec 30 2002 Mao Mao <yunliu@redflag-linux.com>
- Added function: only one recycler application can running at a time
- Set fulltrash and emptytrash icon correctly
- Modified drag-recover operation
- Modified del.mo(added 4 lines)
- Set release 7 
* Fri Dec 20 2002 Mao Mao <yunliu@redflag-linux.com>
- Changed method of orientating certain partition when deleteing file/files
- Modified directory feather when partition is FAT(otherwise !root user will find sth wrong)
- Dealed with ReadOnly partition(eg,ntfs) correctly
- Set release 6
* Fri Dec 13 2002 Mao Mao <yunliu@redflag-linux.com>
- Resolved  muti-mounted operation(one-multi;multi-one)
- Resolved drag-recover operation
- Promoted program efficiency(more quickly)
- Added protect when delete of restore files
* Fri Dec  6 2002 Mao Mao <yunliu@redflag-linux.com> 
- Removed some debug information 
* Fri Nov 29 2002 Mao Mao <yunliu@redflag-linux.com>
- Modified some bug
